%global pypi_name sphinxcontrib-applehelp

%bcond_without check

Name:           python-%{pypi_name}
Version:        1.0.4
Release:        1
Summary:        Sphinx extension for Apple help books
License:        BSD
URL:            http://sphinx-doc.org/
Source0:        https://files.pythonhosted.org/packages/source/s/sphinxcontrib-applehelp/sphinxcontrib-applehelp-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  gettext
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-pip
BuildRequires:  python3-wheel

%if %{with check}
BuildRequires:  python3-pytest
BuildRequires:  python3-sphinx
%endif

%description
sphinxcontrib-applehelp is a sphinx extension which outputs Apple help books.


%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
sphinxcontrib-applehelp is a sphinx extension which outputs Apple help books.


%prep
%autosetup -n %{pypi_name}-%{version}
find -name '*.mo' -delete


%build
for po in $(find -name '*.po'); do
  msgfmt --output-file=${po%.po}.mo ${po}
done
%pyproject_build


%install
%pyproject_install sphinxcontrib-applehelp==%{version}

pushd %{buildroot}%{python3_sitelib}
for lang in `find sphinxcontrib/applehelp/locales -maxdepth 1 -mindepth 1 -type d -not -path '*/\.*' -printf "%f "`;
do
  test $lang == __pycache__ && continue
  install -d %{buildroot}%{_datadir}/locale/$lang/LC_MESSAGES
  mv sphinxcontrib/applehelp/locales/$lang/LC_MESSAGES/*.mo %{buildroot}%{_datadir}/locale/$lang/LC_MESSAGES/
done
rm -rf sphinxcontrib/applehelp/locales
ln -s %{_datadir}/locale sphinxcontrib/applehelp/locales
popd


%find_lang sphinxcontrib.applehelp


%if %{with check}
%check
export PYTHONPATH=%{buildroot}%{python3_sitelib}
%{__python3} tests/test_applehelp.py
%endif


%files -n python3-%{pypi_name} -f sphinxcontrib.applehelp.lang
%license LICENSE
%doc README.rst
%{python3_sitelib}/*


%changelog
* Fri May 05 2023 wangkai <13474090681@163.com> - 1.0.4-1
- Update to 1.0.4

* Fri Jul 31 2020 tianwei <tianwei12@huawei.com> - 1.0.2-1
- Package Init
